package com.yizhi.training.application.vo.domain;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * com.yizhi.training.application.vo.domain
 *
 * @author yanglang
 * @create 2025-01-03 13:03:59
 */
@Data
public class LeaveWordParamVo {

    @ApiModelProperty(value = "标题")
    private String name;

    @ApiModelProperty(value = "创建者名称")
    private String createByName;

    @ApiModelProperty(value = "创建者Id")
    private Long createById;

    @ApiModelProperty("当前页数")
    public Integer pageNo;

    @ApiModelProperty("页内条数")
    public Integer pageSize;

    @ApiModelProperty(value = "业务类型:1-功能异常、2-体验问题、3-产品建议、4-其他")
    private Integer bizType;

    @ApiModelProperty("提交状态1-待接收，2-已接受")
    private Integer state;
}
