package com.yizhi.training.application.mapper;

import com.baomidou.mybatisplus.mapper.BaseMapper;
import com.yizhi.training.application.domain.LeaveWord;
import com.yizhi.training.application.vo.manage.AuthzUserGroupVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * com.yizhi.training.application.mapper
 *
 * @author yanglang
 * @create 2025-01-03 10:03:34
 */
public interface LeaveWordMapper extends BaseMapper<LeaveWord> {

    AuthzUserGroupVo getUserGroupByUser(@Param("accountId") Long accountId);

    AuthzUserGroupVo getUserGroupById(@Param("groupId") Long groupId);

    List<AuthzUserGroupVo> queryUserGroupByIds(@Param("groupIds") List<Long> groupIds);
}
